org.springframework.cloud.dataflow.server.service

## Interface TaskExecutionInfoService

- All Known Implementing Classes:
    DefaultTaskExecutionInfoService

      public interface TaskExecutionInfoService

  Return the TaskExecutionInformation object given the task name and deployment properties.
  Author:
    Daniel Serleg, Mark Pollack, David Turanski, Glenn Renfro

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest>` | `createTaskDeploymentRequests(String taskName, String dslText)` Creates requests for a composed task
    `AllPlatformsTaskExecutionInformation` | `findAllPlatformTaskExecutionInformation()`
    `TaskExecutionInformation` | `findTaskExecutionInformation(String taskName, Map<String,String> taskDeploymentProperties, boolean addDatabaseCredentials, Map<String,String> previousTaskDeploymentProperties)` Create a the `TaskExecutionInformation` instance for the information provided.

- - ### Method Detail

    - #### findTaskExecutionInformation

          TaskExecutionInformation findTaskExecutionInformation(String taskName,
                                                                Map<String,String> taskDeploymentProperties,
                                                                boolean addDatabaseCredentials,
                                                                Map<String,String> previousTaskDeploymentProperties)

      Create a the `TaskExecutionInformation` instance for the information provided.
      Parameters:
        `taskName` - the name of the task definition
        `taskDeploymentProperties` - the deployment properties to use for the `TaskExecutionInformation`
        `addDatabaseCredentials` - true if database credentials should be added to the `TaskExecutionInformation`
        `previousTaskDeploymentProperties` - the previous deployment properties to use for the `TaskExecutionInformation`
      Returns:
        instance of `TaskExecutionInformation`

    - #### findAllPlatformTaskExecutionInformation

          AllPlatformsTaskExecutionInformation findAllPlatformTaskExecutionInformation()

    - #### createTaskDeploymentRequests

          List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest> createTaskDeploymentRequests(String taskName,
                                                                                                              String dslText)

      Creates requests for a composed task
      Parameters:
        `taskName` - name of the task
        `dslText` - String of the dsl text
      Returns:
        a list of `AppDeploymentRequest` based on the dsl provided
      Since:
        2.3

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.